From ead11072a6f04ca5e3789b1095d2605d0e1abd29 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Thu, 19 Mar 2020 20:54:20 -0300
Subject: [PATCH 2/2] Change all "For more info, see X" links to <xref> style

avoids having to write down the title, which is not our style
---
 doc/src/sgml/glossary.sgml | 88 +++++++++++++++++++-------------------
 1 file changed, 44 insertions(+), 44 deletions(-)

diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index cf20fb759c..612ce6e5f4 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -20,7 +20,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="functions-aggregate">Aggregate Functions</link>.
+      <xref linkend="functions-aggregate"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -35,7 +35,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="tutorial-window">Window Functions</link>.
+      <xref linkend="tutorial-window"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -49,7 +49,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="continuous-archiving">Backup and Restore: Continuous Archiving and Point-in-Time Recovery (PITR)</link>.
+      <xref linkend="continuous-archiving"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -93,7 +93,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="routine-vacuuming">Routine Database Maintenance Tasks: Routine Vacuuming</link>.
+      <xref linkend="routine-vacuuming"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -133,7 +133,7 @@
     </para>
     <para>
      For more information, see
-     <link linkend="bgworker">Background Worker Processes</link>.
+     <xref linkend="bgworker"/>.
     </para>
     </glossdef>
    </glossentry>
@@ -150,7 +150,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="runtime-config-resource">Server Configuration: Resource Consumption</link>.
+      <xref linkend="runtime-config-resource"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -175,7 +175,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="manage-ag-overview">Managing Databases: Overview</link>.
+      <xref linkend="manage-ag-overview"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -196,7 +196,7 @@
      </para>
     <para>
      For more information, see
-     <link linkend="ddl-constraints">Constraints</link>.
+     <xref linkend="ddl-constraints"/>.
     </para>
     </glossdef>
    </glossentry>
@@ -269,7 +269,7 @@
      </para>
     <para>
      For more information, see
-     <link linkend="sql-commit">SQL Commands: COMMIT</link>.
+     <xref linkend="sql-commit"/>.
     </para>
     </glossdef>
    </glossentry>
@@ -305,7 +305,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="ddl-constraints">Constraints</link>.
+      <xref linkend="ddl-constraints"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -332,7 +332,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="storage-file-layout">Database Physical Storage: Database File Layout</link>.
+      <xref linkend="storage-file-layout"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -345,7 +345,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="manage-ag-overview">Managing Databases: Overview</link>.
+      <xref linkend="manage-ag-overview"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -378,7 +378,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-delete">SQL Commands: DELETE</link>.
+      <xref linkend="sql-delete"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -393,7 +393,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="storage-file-layout">Database Physical Storage: Database File Layout</link>.
+      <xref linkend="storage-file-layout"/>.
      </para>
      <para>
       (Don't confuse this term with the similar term
@@ -414,7 +414,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createforeigndatawrapper">SQL Commands: CREATE FOREIGN DATA WRAPPER</link>.
+      <xref linkend="sql-createforeigndatawrapper"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -442,7 +442,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createserver">SQL Commands: CREATE SERVER</link>.
+      <xref linkend="sql-createserver"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -460,7 +460,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createforeigntable">SQL Commands: CREATE FOREIGN TABLE</link>.
+      <xref linkend="sql-createforeigntable"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -476,7 +476,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createfunction">SQL Commands: CREATE FUNCTION</link>.
+      <xref linkend="sql-createfunction"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -512,7 +512,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-grant">SQL Commands: GRANT</link>.
+      <xref linkend="sql-grant"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -550,7 +550,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createindex">SQL Commands: CREATE INDEX</link>.
+      <xref linkend="sql-createindex"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -564,7 +564,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-insert">SQL Commands: INSERT</link>.
+      <xref linkend="sql-insert"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -720,7 +720,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-creatematerializedview">SQL Commands: CREATE MATERIALIZED VIEW</link>.
+      <xref linkend="sql-creatematerializedview"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -769,7 +769,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="server-start">Server Setup and Operation: Starting the Database Server</link>
+      <xref linkend="server-start"/>
      </para>
     </glossdef>
    </glossentry>
@@ -806,7 +806,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createprocedure">SQL Commands: CREATE PROCEDURE</link>.
+      <xref linkend="sql-createprocedure"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -904,7 +904,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-revoke">SQL Commands: REVOKE</link>.
+      <xref linkend="sql-revoke"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -921,7 +921,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createrole">SQL Commands: CREATE ROLE</link>.
+      <xref linkend="sql-createrole"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -935,7 +935,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-rollback">SQL Commands: ROLLBACK</link>.
+      <xref linkend="sql-rollback"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -959,7 +959,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-savepoint">SQL Commands: SAVEPOINT</link>.
+      <xref linkend="sql-savepoint"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -1083,7 +1083,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createsequence">SQL Commands: CREATE SEQUENCE</link>.
+      <xref linkend="sql-createsequence"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -1107,7 +1107,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="runtime-config-resource-memory">Server Configuration: Resource Consumption</link>.
+      <xref linkend="runtime-config-resource-memory"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -1127,7 +1127,7 @@
      </para>
      <para>
        For more information, see
-       <link linkend="manage-ag-overview">Managing Databases: Overview</link>.
+       <xref linkend="manage-ag-overview"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -1141,7 +1141,7 @@
      </para>
      <para>
        For more information, see
-       <link linkend="monitoring-stats">Monitoring Database Activity: The Statistics Collector</link>.
+       <xref linkend="monitoring-stats"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -1162,7 +1162,7 @@
      </para>
      <para>
        For more information, see
-       <link linkend="ddl-schemas">Data Definition: Schemas</link>.
+       <xref linkend="ddl-schemas"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -1181,7 +1181,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createtable">SQL Commands: CREATE TABLE</link>.
+      <xref linkend="sql-createtable"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -1200,7 +1200,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createtable">SQL Commands: CREATE TABLE</link>
+      <xref linkend="sql-createtable"/>
      </para>
     </glossdef>
    </glossentry>
@@ -1216,7 +1216,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="transaction-iso">Transaction Isolation</link>
+      <xref linkend="transaction-iso"/>
      </para>
     </glossdef>
    </glossentry>
@@ -1235,7 +1235,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createtrigger">SQL Commands: CREATE TRIGGER</link>
+      <xref linkend="sql-createtrigger"/>
      </para>
     </glossdef>
    </glossentry>
@@ -1288,7 +1288,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-update">SQL Commands: UPDATE</link>
+      <xref linkend="sql-update"/>
      </para>
     </glossdef>
    </glossentry>
@@ -1313,7 +1313,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createusermapping">SQL Commands: CREATE USER MAPPING</link>
+      <xref linkend="sql-createusermapping"/>
      </para>
     </glossdef>
    </glossentry>
@@ -1331,7 +1331,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="sql-createview">SQL Commands: CREATE VIEW</link>
+      <xref linkend="sql-createview"/>
      </para>
     </glossdef>
    </glossentry>
@@ -1357,7 +1357,7 @@
      </para>
       <para>
        For more information, see
-       <link linkend="wal-internals">Reliability and the Write-Ahead Log: WAL Internals</link>.
+       <xref linkend="wal-internals"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -1384,7 +1384,7 @@
      </para>
       <para>
        For more information, see
-       <link linkend="wal-internals">Reliability and the Write-Ahead Log: WAL Internals</link>.
+       <xref linkend="wal-internals"/>.
      </para>
     </glossdef>
    </glossentry>
@@ -1417,7 +1417,7 @@
     </para>
       <para>
        For more information, see
-       <link linkend="runtime-config-wal">Server Configuration: Write Ahead Log</link>.
+       <xref linkend="runtime-config-wal"/>.
      </para>
    </glossdef>
    </glossentry>
@@ -1433,7 +1433,7 @@
      </para>
      <para>
       For more information, see
-      <link linkend="tutorial-window">Window Functions</link>.
+      <xref linkend="tutorial-window"/>.
      </para>
     </glossdef>
    </glossentry>
-- 
2.20.1

